package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("小程序菜品详情")
public class AppletDishesDetailVO {
   @ApiModelProperty("菜品id")
   private Long baseDishesId;
   @ApiModelProperty("类型(1-菜品,2-套餐)")
   private Integer mealType;
   @ApiModelProperty("自定义id")
   private Long customId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品别称")
   private String aliasName;
   @ApiModelProperty("菜品图片url")
   private String imageUrl;
   @ApiModelProperty("菜品简介")
   private String intro;
   @ApiModelProperty("菜品详情")
   private String particulars;
   @ApiModelProperty("是否收藏(1-收藏,2-未收藏)")
   private Integer isFavorites;
   @ApiModelProperty("菜品规格")
   private List<AppletDishesSizeV2VO> dishesDetailList;
   List<MenuMaterialBasVO> materialList;
   @ApiModelProperty("套餐菜品明细")
   private List<String> packageDishesList;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getBaseDishesId() {
      return this.baseDishesId;
   }

   public Integer getMealType() {
      return this.mealType;
   }

   public Long getCustomId() {
      return this.customId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public String getAliasName() {
      return this.aliasName;
   }

   public String getIntro() {
      return this.intro;
   }

   public String getParticulars() {
      return this.particulars;
   }

   public Integer getIsFavorites() {
      return this.isFavorites;
   }

   public List<AppletDishesSizeV2VO> getDishesDetailList() {
      return this.dishesDetailList;
   }

   public List<MenuMaterialBasVO> getMaterialList() {
      return this.materialList;
   }

   public List<String> getPackageDishesList() {
      return this.packageDishesList;
   }

   public void setBaseDishesId(final Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setCustomId(final Long customId) {
      this.customId = customId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setAliasName(final String aliasName) {
      this.aliasName = aliasName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setIntro(final String intro) {
      this.intro = intro;
   }

   public void setParticulars(final String particulars) {
      this.particulars = particulars;
   }

   public void setIsFavorites(final Integer isFavorites) {
      this.isFavorites = isFavorites;
   }

   public void setDishesDetailList(final List<AppletDishesSizeV2VO> dishesDetailList) {
      this.dishesDetailList = dishesDetailList;
   }

   public void setMaterialList(final List<MenuMaterialBasVO> materialList) {
      this.materialList = materialList;
   }

   public void setPackageDishesList(final List<String> packageDishesList) {
      this.packageDishesList = packageDishesList;
   }
}
